package ch.unige.solidify.service;

import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Service;

import ch.unige.solidify.model.User;
import ch.unige.solidify.model.sso.SsoUser;

@Service
public class SsoUserService {

  public SsoUserService() {
    // need an empty constructor
  }

  public User current() {
    final Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    User user = null;
    if (principal instanceof User) {
      user = (User) principal;
    }
    return user;
  }

  public SsoUser currentSsoUser() {
    final Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    SsoUser user = null;
    if (principal instanceof SsoUser) {
      user = (SsoUser) principal;
    }
    return user;
  }
}
