package ch.unige.solidify.converter;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

import ch.unige.solidify.util.StringTool;

@Converter(autoApply = true)
public class StringConverter implements AttributeConverter<String, String> {

  @Override
  public String convertToDatabaseColumn(String value) {
    if (StringTool.isNullOrEmpty(value)) {
      return null;
    }
    return value;
  }

  @Override
  public String convertToEntityAttribute(String value) {
    return value;
  }
}
